if RequiredScript == "lib/tweak_data/weaponfactorytweakdata" then

	local old_wftd_init = WeaponFactoryTweakData.init
	function WeaponFactoryTweakData:init()
		old_wftd_init(self)
		self:stuff_general()
	end
		
	function WeaponFactoryTweakData:stuff_general()

self.parts.wpn_fps_upg_o_shortdot.stats.recoil = 1
self.parts.wpn_fps_upg_o_shortdot.stats.spread = 1
self.parts.wpn_fps_upg_o_shortdot.stats.concealment = -3
self.parts.wpn_fps_upg_o_shortdot_vanilla.stats.recoil = 1
self.parts.wpn_fps_upg_o_shortdot_vanilla.stats.spread = 1
self.parts.wpn_fps_upg_o_shortdot_vanilla.stats.concealment = -3
self.parts.wpn_fps_upg_o_box.stats.recoil = 2
self.parts.wpn_fps_upg_o_box.stats.spread = 1
self.parts.wpn_fps_upg_o_box.stats.concealment = -5
self.parts.wpn_fps_upg_o_leupold.stats.recoil = 2
self.parts.wpn_fps_upg_o_leupold.stats.spread = 1
self.parts.wpn_fps_upg_o_leupold.stats.concealment = -5

self.parts.wpn_fps_snp_model70_iron_sight.stats.recoil = 0
self.parts.wpn_fps_snp_model70_iron_sight.stats.spread = 0
self.parts.wpn_fps_snp_model70_iron_sight.stats.concealment = 0
self.parts.wpn_fps_snp_mosin_iron_sight.stats.recoil = 0
self.parts.wpn_fps_snp_mosin_iron_sight.stats.spread = 0
self.parts.wpn_fps_snp_mosin_iron_sight.stats.concealment = 0
self.parts.wpn_fps_snp_siltstone_iron_sight.stats.recoil = 0
self.parts.wpn_fps_snp_siltstone_iron_sight.stats.spread = 0
self.parts.wpn_fps_snp_siltstone_iron_sight.stats.concealment = 0

if self.wpn_fps_snp_cs5 then
self.parts.wpn_fps_snp_cs5_m8541.stats.recoil = 1
self.parts.wpn_fps_snp_cs5_m8541.stats.spread = 1
self.parts.wpn_fps_snp_cs5_m8541.stats.concealment = -3
end

if self.wpn_fps_snp_vss then
self.parts.wpn_fps_snp_vss_pso.stats.recoil = 1
self.parts.wpn_fps_snp_vss_pso.stats.spread = 1
self.parts.wpn_fps_snp_vss_pso.stats.concealment = -3
self.parts.wpn_fps_upg_vss_leupold_pro.stats.recoil = 1
self.parts.wpn_fps_upg_vss_leupold_pro.stats.concealment = -3
self.parts.wpn_fps_upg_vss_irons.stats.recoil = 0
self.parts.wpn_fps_upg_vss_irons.stats.spread = 0
self.parts.wpn_fps_upg_vss_irons.stats.concealment = 0
self.parts.wpn_fps_upg_vss_irons_il.stats.recoil = 0
self.parts.wpn_fps_upg_vss_irons_il.stats.spread = 0
self.parts.wpn_fps_upg_vss_irons_il.stats.concealment = 0
end

if self.wpn_fps_snp_m200 then
self.parts.wpn_fps_snp_m200_deltatitanium.stats.recoil = 1
self.parts.wpn_fps_snp_m200_deltatitanium.stats.spread = 1
self.parts.wpn_fps_snp_m200_deltatitanium.stats.concealment = -3
end

if self.wpn_fps_snp_svu then
self.parts.wpn_fps_snp_svu_pso.stats.recoil = 1
self.parts.wpn_fps_snp_svu_pso.stats.spread = 1
self.parts.wpn_fps_snp_svu_pso.stats.concealment = -3
self.parts.wpn_fps_upg_svu_leupold_pro.stats.recoil = 1
self.parts.wpn_fps_upg_svu_leupold_pro.stats.concealment = -3
self.parts.wpn_fps_upg_svu_irons.stats.recoil = 0
self.parts.wpn_fps_upg_svu_irons.stats.spread = 0
self.parts.wpn_fps_upg_svu_irons.stats.concealment = 0
end

if self.wpn_fps_snp_lynx then
self.parts.wpn_fps_snp_lynx_o_special.stats.recoil = 1
self.parts.wpn_fps_snp_lynx_o_special.stats.spread = 1
self.parts.wpn_fps_snp_lynx_o_special.stats.concealment = -3
end

if self.wpn_fps_snp_qbu88 then
self.parts.wpn_fps_snp_qbu88_ironsight.stats.recoil = 0
self.parts.wpn_fps_snp_qbu88_ironsight.stats.spread = 0
self.parts.wpn_fps_snp_qbu88_ironsight.stats.concealment = 0
end

if self.wpn_fps_snp_xm21 then
self.parts.wpn_fps_snp_xm21_redfield_art.stats.recoil = 1
self.parts.wpn_fps_snp_xm21_redfield_art.stats.spread = 1
self.parts.wpn_fps_snp_xm21_redfield_art.stats.concealment = -3
self.parts.wpn_fps_upg_xm21_irons.stats.recoil = 0
self.parts.wpn_fps_upg_xm21_irons.stats.spread = 0
self.parts.wpn_fps_upg_xm21_irons.stats.concealment = 0
end

if self.wpn_fps_snp_m40a5 then
self.parts.wpn_fps_snp_m40a5_m8541.stats.recoil = 1
self.parts.wpn_fps_snp_m40a5_m8541.stats.spread = 1
self.parts.wpn_fps_snp_m40a5_m8541.stats.concealment = -3
end

if self.wpn_fps_snp_sv98 then
self.parts.wpn_fps_snp_sv98_o_1p69.stats.recoil = 1
self.parts.wpn_fps_snp_sv98_o_1p69.stats.spread = 1
self.parts.wpn_fps_snp_sv98_o_1p69.stats.concealment = -3
self.parts.wpn_fps_upg_sv98_irons.stats.recoil = 0
self.parts.wpn_fps_upg_sv98_irons.stats.spread = 0
self.parts.wpn_fps_upg_sv98_irons.stats.concealment = 0
end

if self.wpn_fps_snp_svd then
self.parts.wpn_fps_snp_svd_pso.stats.recoil = 1
self.parts.wpn_fps_snp_svd_pso.stats.spread = 1
self.parts.wpn_fps_snp_svd_pso.stats.concealment = -3
self.parts.wpn_fps_upg_svd_leupold_pro.stats.recoil = 1
self.parts.wpn_fps_upg_svd_leupold_pro.stats.concealment = -1
self.parts.wpn_fps_upg_svd_irons.stats.recoil = 0
self.parts.wpn_fps_upg_svd_irons.stats.spread = 0
self.parts.wpn_fps_upg_svd_irons.stats.concealment = 0
end

if self.wpn_fps_ass_fd338 then
self.parts.wpn_fps_ass_fd338_ta648.stats.recoil = 1
self.parts.wpn_fps_ass_fd338_ta648.stats.spread = 1
self.parts.wpn_fps_ass_fd338_ta648.stats.concealment = -3
end

if self.wpn_fps_snp_simonov then
self.parts.wpn_fps_snp_simonov_sight.stats.recoil = 0
self.parts.wpn_fps_snp_simonov_sight.stats.spread = 0
self.parts.wpn_fps_snp_simonov_sight.stats.concealment = 0
end

if self.wpn_fps_snp_m98b then
self.parts.wpn_fps_snp_m98b_deltatitanium.stats.recoil = 1
self.parts.wpn_fps_snp_m98b_deltatitanium.stats.spread = 1
self.parts.wpn_fps_snp_m98b_deltatitanium.stats.concealment = -3
end

if self.wpn_fps_snp_classic then
self.parts.wpn_fps_snp_classic_o_scope.stats.recoil = 1
self.parts.wpn_fps_snp_classic_o_scope.stats.spread = 1
self.parts.wpn_fps_snp_classic_o_scope.stats.concealment = -3
end

if self.wpn_fps_snp_spring then
self.parts.wpn_fps_snp_spring_o_scope.stats.recoil = 1
self.parts.wpn_fps_snp_spring_o_scope.stats.spread = 1
self.parts.wpn_fps_snp_spring_o_scope.stats.concealment = -3
self.parts.wpn_fps_snp_spring_o_unrt.stats.recoil = 1
self.parts.wpn_fps_snp_spring_o_unrt.stats.spread = 1
self.parts.wpn_fps_snp_spring_o_unrt.stats.concealment = -3
self.parts.wpn_fps_snp_spring_ironsight.stats.recoil = 0
self.parts.wpn_fps_snp_spring_ironsight.stats.spread = 0
self.parts.wpn_fps_snp_spring_ironsight.stats.concealment = 0
end

if self.wpn_fps_snp_mk12 then
self.parts.wpn_fps_snp_mk12_mk4.stats.recoil = 1
self.parts.wpn_fps_snp_mk12_mk4.stats.spread = 1
self.parts.wpn_fps_snp_mk12_mk4.stats.concealment = -3
self.parts.wpn_fps_upg_mk12_irons_carry_handle.stats.recoil = 0
self.parts.wpn_fps_upg_mk12_irons_carry_handle.stats.spread = 0
self.parts.wpn_fps_upg_mk12_irons_carry_handle.stats.concealment = 0
self.parts.wpn_fps_upg_mk12_irons_lirisy.stats.recoil = 0
self.parts.wpn_fps_upg_mk12_irons_lirisy.stats.spread = 0
self.parts.wpn_fps_upg_mk12_irons_lirisy.stats.concealment = 0
end

if self.wpn_fps_snp_g43 then
self.parts.wpn_fps_snp_g43_irons.stats.recoil = 0
self.parts.wpn_fps_snp_g43_irons.stats.spread = 0
self.parts.wpn_fps_snp_g43_irons.stats.concealment = 0
self.parts.wpn_fps_snp_g43_zf4.stats.recoil = 1
self.parts.wpn_fps_snp_g43_zf4.stats.spread = 1
self.parts.wpn_fps_snp_g43_zf4.stats.concealment = -3
self.parts.wpn_fps_snp_g43_zf4_switch.stats.recoil = 1
self.parts.wpn_fps_snp_g43_zf4_switch.stats.spread = 1
self.parts.wpn_fps_snp_g43_zf4_switch.stats.concealment = -3
end

if self.wpn_fps_snp_psg1 then
self.parts.wpn_fps_snp_psg1_scope.stats.recoil = 1
self.parts.wpn_fps_snp_psg1_scope.stats.spread = 1
self.parts.wpn_fps_snp_psg1_scope.stats.concealment = -3
end

if self.parts.wpn_fps_upg_o_snp_m4flipup_rear then
self.parts.wpn_fps_upg_o_snp_m4flipup_rear.stats.recoil = 0
self.parts.wpn_fps_upg_o_snp_m4flipup_rear.stats.spread = 0
self.parts.wpn_fps_upg_o_snp_m4flipup_rear.stats.concealment = 0
self.parts.wpn_fps_upg_o_snp_mbus_rear.stats.recoil = 0
self.parts.wpn_fps_upg_o_snp_mbus_rear.stats.spread = 0
self.parts.wpn_fps_upg_o_snp_mbus_rear.stats.concealment = 0
self.parts.wpn_fps_upg_o_snp_scorpionevo_rear.stats.recoil = 0
self.parts.wpn_fps_upg_o_snp_scorpionevo_rear.stats.spread = 0
self.parts.wpn_fps_upg_o_snp_scorpionevo_rear.stats.concealment = 0
self.parts.wpn_fps_upg_o_snp_troy_rear.stats.recoil = 0
self.parts.wpn_fps_upg_o_snp_troy_rear.stats.spread = 0
self.parts.wpn_fps_upg_o_snp_troy_rear.stats.concealment = 0
self.parts.wpn_fps_upg_o_snp_troym4_rear.stats.recoil = 0
self.parts.wpn_fps_upg_o_snp_troym4_rear.stats.spread = 0
self.parts.wpn_fps_upg_o_snp_troym4_rear.stats.concealment = 0
self.parts.wpn_fps_upg_o_snp_kac_rear.stats.recoil = 0
self.parts.wpn_fps_upg_o_snp_kac_rear.stats.spread = 0
self.parts.wpn_fps_upg_o_snp_kac_rear.stats.concealment = 0
self.parts.wpn_fps_upg_o_snp_cheap_rear.stats.recoil = 0
self.parts.wpn_fps_upg_o_snp_cheap_rear.stats.spread = 0
self.parts.wpn_fps_upg_o_snp_cheap_rear.stats.concealment = 0
self.parts.wpn_fps_upg_o_snp_dh_iss_rear.stats.recoil = 0
self.parts.wpn_fps_upg_o_snp_dh_iss_rear.stats.spread = 0
self.parts.wpn_fps_upg_o_snp_dh_iss_rear.stats.concealment = 0
self.parts.wpn_fps_upg_o_snp_dd_a1_rear.stats.recoil = 0
self.parts.wpn_fps_upg_o_snp_dd_a1_rear.stats.spread = 0
self.parts.wpn_fps_upg_o_snp_dd_a1_rear.stats.concealment = 0
end

if self.wpn_fps_snp_amr2 then
self.parts.wpn_fps_snp_amr2_visionking.stats.recoil = 1
self.parts.wpn_fps_snp_amr2_visionking.stats.spread = 1
self.parts.wpn_fps_snp_amr2_visionking.stats.concealment = -3
end

if self.wpn_fps_snp_mas49 then
self.parts.wpn_fps_snp_mas49_scope_apx.stats.recoil = 1
self.parts.wpn_fps_snp_mas49_scope_apx.stats.spread = 1
self.parts.wpn_fps_snp_mas49_scope_apx.stats.concealment = -3
self.parts.wpn_fps_upg_mas49_irons.stats.recoil = 0
self.parts.wpn_fps_upg_mas49_irons.stats.spread = 0
self.parts.wpn_fps_upg_mas49_irons.stats.concealment = 0
end



end

end